<template>
  <div class="row justify-content-center img-bg">
    <div class="absolute row">
      <div class="col-2"></div>
      <div class="col-8 row main-contain auth-custom-contain">
        <div class="col-12 single-contain-on-border bg-white text-center overflow-main-contain">
          <div class="space-2" />
          <h1 class="t-color-red">{{title1}}</h1>
          <div class="space-1" />
          <p class="t-color-soft-gray">
            {{dialog1}}
            <br />
            {{dialog2}}
          </p>
          <div class="space-1" />
          <p class="t-color-soft-gray">
            {{dialog6}}
            <router-link to class="t-color-red">{{$route.params.email}}</router-link>
          </p>
          <div class="space-1" />
          <p class="t-color-soft-gray">
            {{dialog7}}
            <a @click="sendMailAgain()" class="t-color-red">{{text1}}</a>
          </p>
        </div>
      </div>
    </div>
    <b-alert
      :show="validateEmail"
      variant="warning"
      @dismissed="ValiCountDown=0"
      @dismiss-count-down="ValiCountDownChanged"
      fade
      class="alert-top"
    >
      <i class="fa fa-exclamation-circle" /> Please wait a minute
    </b-alert>
    <b-alert
      :show="validateEmailSuc"
      variant="success"
      @dismissed="ValiSucCountDownSuc=0"
      @dismiss-count-down="ValiSucCountDownChanged"
      fade
      class="alert-top"
    >
      <i class="fa fa-check-circle" />
      {{massage}}
    </b-alert>
  </div>
</template>

<script>
export default {
  mounted () {
    console.log('Component mounted.')
  },
  data () {
    return {
      title1: 'Send email to reset your password',
      dialog1: 'Please check your inbox for a email to reset password.',
      dialog2: 'Check the link in email to reset password.',
      dialog6: 'Your email is',
      dialog7: "Didn't receive the email?",
      text1: 'send again',
      massage: '',
      validateEmail: 0,
      validateEmailSuc: 0,
      dismissSecs: 3,
      dismissCountDown: 0,
      ValiCountDown: 0,
      ValiSucCountDownSuc: 0
    }
  },
  methods: {
    sendMailAgain () {
      this.showAlertEmail()
      this.axios
        .post(
          'http://127.0.0.1:8000/api/sendReqRePassAgain/' +
            this.$route.params.email
        )
        .then(response => {
          this.showAlertSendVali()
          console.log(response)
        })
        .catch(error => {
          console.log(error)
        })
    },
    showAlertSendVali () {
      this.massage = ''
      this.massage = 'Your require was send to your email.'
      this.validateEmailSuc = this.dismissSecs
    },
    ValiSucCountDownChanged (dismissCountDown) {
      this.validateEmailSuc = dismissCountDown
    },
    showAlertEmail () {
      this.validateEmail = this.dismissSecs
    },
    ValiCountDownChanged (dismissCountDown) {
      this.validateEmail = dismissCountDown
    }
  }
}
</script>
